upstream wordpress_stream {
	server wordpress:80;
}

server {

	listen 80;
	server_name website.com www.website.com;
	return 301 https://$host$request_uri;

}

server {

	listen 443 ssl;

	ssl_certificate /etc/letsencrypt/live/website.com/cert.pem;
	ssl_certificate_key /etc/letsencrypt/live/website.com/privkey.pem;
	
	location / {
		proxy_redirect	off;
		proxy_pass http://wordpress_stream/;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header X-Forwarded-Proto $scheme; # To let know wordpress it is https
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $host;
		include /etc/nginx/mime.types;
	}
	server_name website.com www.website.com;

}

